Package org.apache.synapse.task

## Class SynapseTaskManager

- java.lang.Object
- - org.apache.synapse.task.SynapseTaskManager

-     public class SynapseTaskManager
      extends Object

  Helper class to a share Scheduler and TaskDescriptionRepository within a single class space

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynapseTaskManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanup()` |
    `TaskDescriptionRepository` | `getTaskDescriptionRepository()` |
    `TaskManager` | `getTaskManagerImpl()` |
    `TaskScheduler` | `getTaskScheduler()` |
    `void` | `init​(TaskDescriptionRepository taskDescriptionRepository, TaskScheduler taskScheduler, TaskManager taskManagerImpl)` | Initialize the task manager instance with the given task description repository and the task scheduler.
    `boolean` | `isInitialized()` |
    `void` | `pauseAll()` |
    `void` | `resumeAll()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynapseTaskManager

          public SynapseTaskManager()

  - ### Method Detail

    - #### init

          public void init​(TaskDescriptionRepository taskDescriptionRepository,
                           TaskScheduler taskScheduler,
                           TaskManager taskManagerImpl)

      Initialize the task manager instance with the given task description repository and the task scheduler. If any of these arguments are null new instances will be created. Note that this method does not initialize the actual task scheduler instance. It is up to the task manager clients to make sure that is initialized.
      Parameters:
        `taskDescriptionRepository` - TaskDescriptionRepository instance
        `taskScheduler` - TaskScheduler instance

    - #### getTaskManagerImpl

          public TaskManager getTaskManagerImpl()

    - #### getTaskDescriptionRepository

          public TaskDescriptionRepository getTaskDescriptionRepository()

    - #### getTaskScheduler

          public TaskScheduler getTaskScheduler()

    - #### isInitialized

          public boolean isInitialized()

    - #### cleanup

          public void cleanup()

    - #### pauseAll

          public void pauseAll()

    - #### resumeAll

          public void resumeAll()